Cannot load gems when running JAR #34

Closed
hadronzoo opened this Issue Apr 29, 2014 · 3 comments

Comments

Projects
None yet
2 participants
@hadronzoo

Running a JAR built from the JBundler example project in src/example/my_project yields the following error:

LoadError: no such file to load -- rubygems
  require at org/jruby/RubyKernel.java:1065
   (root) at classpath:jar-bootstrap.rb:21

The JAR was built with:

jbundle install
jbundle executable -b info.rb
@mkristian

This comment has been minimized.

Show comment Hide comment
@mkristian

mkristian Apr 29, 2014

Owner

which version of maven-tools gem is installed:

gem list -l maven-tools

in case it is not the latest could you update it to ~> 0.34.4
that is what the next release of jbundler will use.

is sounds like jruby-stdlib is not included . .

Owner

mkristian commented Apr 29, 2014

which version of maven-tools gem is installed:

gem list -l maven-tools

in case it is not the latest could you update it to ~> 0.34.4
that is what the next release of jbundler will use.

is sounds like jruby-stdlib is not included . .

@hadronzoo

This comment has been minimized.

Show comment Hide comment
@hadronzoo

hadronzoo Apr 29, 2014

Thank you for the fast response. gem list -l maven-tools shows that maven-tools (0.34.4, 0.32.5) are installed.

Thank you for the fast response. gem list -l maven-tools shows that maven-tools (0.34.4, 0.32.5) are installed.

@hadronzoo

This comment has been minimized.

Show comment Hide comment
@hadronzoo

hadronzoo Apr 30, 2014

I believe this was caused by having an earlier version of jbundler installed. Removing the old gem and using the latest appears to have resolved the issue.

I believe this was caused by having an earlier version of jbundler installed. Removing the old gem and using the latest appears to have resolved the issue.

@hadronzoo hadronzoo closed this Apr 30, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment